Index: guiframe/local_perspectives/plotting/Arc.py
===================================================================
--- guiframe/local_perspectives/plotting/Arc.py	(revision e8c96f51ec0e9f1d2c4bedbb070fee80c770d464)
+++ guiframe/local_perspectives/plotting/Arc.py	(revision cd84dcae89f5f702b6ad8b4626aa2531188ccf0f)
@@ -19,9 +19,9 @@
         self.markers = []
         self.axes = axes
-        self._inner_mouse_x = r
-        self._inner_mouse_y = 0
+        self._mouse_x = r
+        self._mouse_y = 0
         
-        self._inner_save_x  = r
-        self._inner_save_y  = 0
+        self._save_x  = r
+        self._save_y  = 0
         
         self.scale = 10.0
@@ -30,10 +30,10 @@
         self.theta2=theta2
         self.radius= r
-        [self.inner_circle] = self.axes.plot([],[],
+        [self.arc] = self.axes.plot([],[],
                                       linestyle='-', marker='',
                                       color=self.color)
         self.npts = 20
         self.has_move= False    
-        self.connect_markers([self.inner_circle])
+        self.connect_markers([self.arc])
         self.update()
 
@@ -45,6 +45,6 @@
         self.clear_markers()
         try:
-            self.inner_marker.remove()
-            self.inner_circle.remove()
+            self.marker.remove()
+            self.arc.remove()
         except:
             # Old version of matplotlib
@@ -55,10 +55,9 @@
         
     def get_radius(self):
-        radius =math.sqrt(math.pow(self._inner_mouse_x, 2)+math.pow(self._inner_mouse_y, 2))
+        radius =math.sqrt(math.pow(self._mouse_x, 2)+math.pow(self._mouse_y, 2))
         return radius
         
     def update(self,theta1=None,theta2=None, nbins=None, r=None):
         """
-        Draw the new roughness on the graph.
         """
         # Plot inner circle
@@ -72,20 +71,21 @@
         print "ring update theta1 theta2", math.degrees(self.theta1), math.degrees(self.theta2)
         while self.theta2 < self.theta1: self.theta2 += 2*math.pi
-        
-        
-        
-            
+        while self.theta2 >= self.theta1+2*math.pi: self.theta2 -= 2*math.pi
+
+        """
         if nbins!=None:
             self.npts =nbins
         else:
-            npts = int((self.theta2 - self.theta1)/(math.pi/120))   
+        """
+        npts = int((self.theta2 - self.theta1)/(math.pi/120))  
+             
+        if r ==None:
+            self.radius=  math.sqrt(math.pow(self._mouse_x, 2)+math.pow(self._mouse_y, 2))
+        else:
+            self.radius= r
+            
         for i in range(self.npts):
             
             phi =(self.theta2-self.theta1)/(self.npts-1)*i +self.theta1
-            #delta= phi1-phi
-            if r ==None:
-                self.radius=  math.sqrt(math.pow(self._inner_mouse_x, 2)+math.pow(self._inner_mouse_y, 2))
-            else:
-                self.radius= r
             
             xval = 1.0*self.radius*math.cos(phi) 
@@ -95,6 +95,6 @@
             y.append(yval)
         
-        #self.inner_marker.set(xdata=[self._inner_mouse_x],ydata=[0])
-        self.inner_circle.set_data(x, y) 
+        #self.marker.set(xdata=[self._mouse_x],ydata=[0])
+        self.arc.set_data(x, y) 
         
       
@@ -104,8 +104,8 @@
         can restore on Esc.
         """
-        self._inner_save_x = self._inner_mouse_x
-        self._inner_save_y = self._inner_mouse_y
-        #self._inner_save_x = ev.xdata
-        #self._inner_save_y = ev.ydata
+        self._save_x = self._mouse_x
+        self._save_y = self._mouse_y
+        #self._save_x = ev.xdata
+        #self._save_y = ev.ydata
         
         self.base.freeze_axes()
@@ -126,6 +126,6 @@
         Restore the roughness for this layer.
         """
-        self._inner_mouse_x = self._inner_save_x
-        self._inner_mouse_y = self._inner_save_y
+        self._mouse_x = self._save_x
+        self._mouse_y = self._save_y
        
     def move(self, x, y, ev):
@@ -134,6 +134,6 @@
         """
         #print "ring move x, y", x,y
-        self._inner_mouse_x = x
-        self._inner_mouse_y = y
+        self._mouse_x = x
+        self._mouse_y = y
         self.has_move= True
         self.base.base.update()
@@ -156,5 +156,5 @@
 
         x = params["radius"] 
-        self.set_cursor(x, self._inner_mouse_y)
+        self.set_cursor(x, self._mouse_y)
         
     
Index: guiframe/local_perspectives/plotting/SectorSlicer.py
===================================================================
--- guiframe/local_perspectives/plotting/SectorSlicer.py	(revision e8c96f51ec0e9f1d2c4bedbb070fee80c770d464)
+++ guiframe/local_perspectives/plotting/SectorSlicer.py	(revision cd84dcae89f5f702b6ad8b4626aa2531188ccf0f)
@@ -197,9 +197,9 @@
         
          # Post paramters
-        event = SlicerParameters.SlicerParameterEvent()
-        event.type = self.__class__.__name__
-        event.params = self.get_params()
-        print "main moveend ", event.params
-        wx.PostEvent(self.base.parent, event)
+        #event = SlicerParameters.SlicerParameterEvent()
+        #event.type = self.__class__.__name__
+        #event.params = self.get_params()
+        #print "main moveend ", event.params
+        #wx.PostEvent(self.base.parent, event)
         self._post_data()
             
Index: guiframe/local_perspectives/plotting/SlicerParameters.py
===================================================================
--- guiframe/local_perspectives/plotting/SlicerParameters.py	(revision e8c96f51ec0e9f1d2c4bedbb070fee80c770d464)
+++ guiframe/local_perspectives/plotting/SlicerParameters.py	(revision cd84dcae89f5f702b6ad8b4626aa2531188ccf0f)
@@ -10,23 +10,10 @@
 (SlicerParameterEvent, EVT_SLICER_PARS)   = wx.lib.newevent.NewEvent()
 
-def format_number(value, high=False):
-    """
-        Return a float in a standardized, human-readable formatted string 
-    """
-    try: 
-        value = float(value)
-    except:
-        return "NaN"
-    
-    if high:
-        return "%-6.4g" % value
-    else:
-        return "%-5.3g" % value
-class SlicerParameterPanel(wx.Dialog):
+class SlicerParameterPanel(wx.Panel):
     #TODO: show units
     #TODO: order parameters properly
     
-    def __init__(self, parent, id, title):
-        wx.Dialog.__init__(self, parent, id, title, size=(400, 350))
+    def __init__(self, parent, *args, **kwargs):
+        wx.Panel.__init__(self, parent, *args, **kwargs)
         self.params = {}
         self.parent = parent
@@ -43,6 +30,4 @@
         self.parent.Bind(EVT_SLICER, self.onEVT_SLICER)
         self.parent.Bind(EVT_SLICER_PARS, self.onParamChange)
-        
-       
 
     def onEVT_SLICER(self, event):
@@ -54,5 +39,4 @@
         """
         event.Skip()
-        print "on event slicer parameters"
         if event.obj_class==None:
             self.set_slicer(None, None)
@@ -64,5 +48,4 @@
             Rebuild the panel
         """
-        
         self.bck.Clear(True)  
         self.type = type  
@@ -91,5 +74,5 @@
                 
                 
-                ctl.SetValue(format_number(str(params[item])))
+                ctl.SetValue(str(params[item]))
                 self.Bind(wx.EVT_TEXT_ENTER, self.onTextEnter)
                 ctl.Bind(wx.EVT_KILL_FOCUS, self.onTextEnter)
@@ -130,7 +113,3 @@
             event = SlicerParameterEvent(type=self.type, params=params)
             wx.PostEvent(self.parent, event)
-            
- 
-       
-
         
